Debian Bug report logs - #421523
uxterm: segfault when trying to use "Font|selection" menu entry

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Yann Dirson <ydirson@altern.org>

Date: Sun, 29 Apr 2007 20:54:07 UTC

Severity: normal

Found in versions xterm/225-1, xterm/226-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#421523; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@altern.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@altern.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: uxterm: segfault when trying to use "Font|selection" menu entry
Date: Sun, 29 Apr 2007 22:46:14 +0200
Package: xterm
Version: 225-1
Severity: normal

While playing around trying to understand how uxterm works, I
discovered the "selection" item in the "font" menu, and played with it
before realizing it was a generic xterm feature documented in the man
manpage.

When selecting random latin characters (eg. from the prompt, either in
plain xterm or uxterm), sometimes I get the selection apparently
turned to "black on black" (I am using "white on black" for nomal
text), but sometimes it just segfaults, gdb reporting:

(gdb) bt
#0  0xb7d0736c in XDrawImageString () from /usr/lib/libX11.so.6
#1  0x08076de0 in ?? ()
#2  0x0809a358 in ?? ()
#3  0x01a00013 in ?? ()
#4  0x00000000 in ?? ()


With uxterm it gets better when selecting CJK characters pasted from
another app (precisely, from firefox browsing
http://fr.wikipedia.org/wiki/Sh%C5%8Dgi, any string I tried,
eg. \u738b\u5c06): I get the following crash backtrace from xterm
itself (also note the final "Aborted\n" trunkating the output).

dwitch@gandelf:~$ LC_CTYPE=fr_FR uxterm
*** glibc detected *** xterm: munmap_chunk(): invalid pointer: 0x08081d0e ***
======= Backtrace: =========
/lib/libc.so.6(__libc_free+0x1b9)[0xb7ba9209]
xterm[0x805477e]
/usr/lib/libXt.so.6[0xb7dfcb43]
/usr/lib/libXt.so.6[0xb7dfe41d]
/usr/lib/libXt.so.6(XtGetSelectionValue+0xfe)[0xb7dfeabe]
xterm[0x80545fe]
xterm[0x8061d3a]
xterm[0x8067f99]
/usr/lib/libXt.so.6(XtCallCallbacks+0x117)[0xb7ddba17]
/usr/lib/libXaw.so.7[0xb7e6eca2]
/usr/lib/libXaw.so.7[0xb7e6d442]
/usr/lib/libXt.so.6[0xb7e1161a]
/usr/lib/libXt.so.6[0xb7e119cc]
/usr/lib/libXt.so.6(_XtTranslateEvent+0x5d8)[0xb7e11fb8]
/usr/lib/libXt.so.6(XtDispatchEventToWidget+0x458)[0xb7de96d8]
/usr/lib/libXt.so.6[0xb7de9efd]
/usr/lib/libXt.so.6(XtDispatchEvent+0xc8)[0xb7de8e08]
xterm[0x806d438]  
xterm[0x805bbcc]  
xterm[0x805bf7f]  
xterm[0x80674e5]  
/lib/libc.so.6(__libc_start_main+0xd8)[0xb7b53878]
xterm[0x804d3d1]  
======= Memory map: ========
08048000-0808f000 r-xp 00000000 fe:08 151460     /usr/bin/xterm
0808f000-08094000 rw-p 00046000 fe:08 151460     /usr/bin/xterm
08094000-08157000 rw-p 08094000 00:00 0          [heap]
b76db000-b781a000 rw-p b76db000 00:00 0
b7849000-b7853000 r-xp 00000000 03:01 20584      /lib/libgcc_s.so.1
b7853000-b7854000 rw-p 00009000 03:01 20584      /lib/libgcc_s.so.1
b7854000-b7858000 r-xp 00000000 fe:08 541330     /usr/lib/libXfixes.so.3.1.0
b7858000-b7859000 rw-p 00003000 fe:08 541330     /usr/lib/libXfixes.so.3.1.0
b7859000-b7861000 r-xp 00000000 fe:08 543807     /usr/lib/libXcursor.so.1.0.2
b7861000-b7862000 rw-p 00007000 fe:08 543807     /usr/lib/libXcursor.so.1.0.2
b7862000-b7a62000 r--p 00000000 fe:08 507996     /usr/lib/locale/locale-archive
b7a62000-b7a64000 rw-p b7a62000 00:00 0
b7a64000-b7a76000 r-xp 00000000 03:01 20657      /lib/libpthread-2.5.so
b7a76000-b7a78000 rw-p 00011000 03:01 20657      /lib/libpthread-2.5.so
b7a78000-b7a7a000 rw-p b7a78000 00:00 0
b7a7a000-b7a7c000 r-xp 00000000 03:01 20635      /lib/libdl-2.5.so
b7a7c000-b7a7e000 rw-p 00001000 03:01 20635      /lib/libdl-2.5.so
b7a7e000-b7a82000 r-xp 00000000 fe:08 542249     /usr/lib/libXdmcp.so.6.0.0
b7a82000-b7a83000 rw-p 00003000 fe:08 542249     /usr/lib/libXdmcp.so.6.0.0
b7a83000-b7a84000 rw-p b7a83000 00:00 0
b7a84000-b7a86000 r-xp 00000000 fe:08 541478     /usr/lib/libXau.so.6.0.0
b7a86000-b7a87000 rw-p 00001000 fe:08 541478     /usr/lib/libXau.so.6.0.0
b7a87000-b7a96000 r-xp 00000000 fe:08 543817     /usr/lib/libXpm.so.4.11.0
b7a96000-b7a97000 rw-p 0000e000 fe:08 543817     /usr/lib/libXpm.so.4.11.0
b7a97000-b7ab5000 r-xp 00000000 fe:08 541724     /usr/lib/libexpat.so.1.0.0
b7ab5000-b7ab7000 rw-p 0001d000 fe:08 541724     /usr/lib/libexpat.so.1.0.0
b7ab7000-b7abe000 r-xp 00000000 fe:08 543627     /usr/lib/libXrender.so.1.3.0
b7abe000-b7abf000 rw-p 00006000 fe:08 543627     /usr/lib/libXrender.so.1.3.0
b7abf000-b7ad2000 r-xp 00000000 fe:08 541082     /usr/lib/libz.so.1.2.3
b7ad2000-b7ad3000 rw-p 00012000 fe:08 541082     /usr/lib/libz.so.1.2.3
b7ad3000-b7ad4000 rw-p b7ad3000 00:00 0
b7ad4000-b7b3b000 r-xp 00000000 fe:08 541133     /usr/lib/libfreetype.so.6.3.10
b7b3b000-b7b3e000 rw-p 00067000 fe:08 541133     /usr/lib/libfreetype.so.6.3.10
b7b3e000-b7c7a000 r-xp 00000000 03:01 20597      /lib/libc-2.5.so
b7c7a000-b7c7b000 r--p 0013c000 03:01 20597      /lib/libc-2.5.so
b7c7b000-b7c7d000 rw-p 0013d000 03:01 20597      /lib/libc-2.5.so
b7c7d000-b7c80000 rw-p b7c7d000 00:00 0
b7c80000-b7cb8000 r-xp 00000000 03:01 20549      /lib/libncurses.so.5.5
b7cb8000-b7cc0000 rw-p 00038000 03:01 20549      /lib/libncurses.so.5.5
b7cc0000-b7cc1000 rw-p b7cc0000 00:00 0
b7cc1000-b7da9000 r-xp 00000000 fe:08 540847     /usr/lib/libX11.so.6.2.0
b7da9000-b7dad000 rw-p 000e8000 fe:08 540847     /usr/lib/libX11.so.6.2.0
b7dad000-b7dc2000 r-xp 00000000 fe:08 541005     /usr/lib/libICE.so.6.3.0
b7dc2000-b7dc3000 rw-p 00014000 fe:08 541005     /usr/lib/libICE.so.6.3.0
b7dc3000-b7dc5000 rw-p b7dc3000 00:00 0
b7dc5000-b7dcd000 r-xp 00000000 fe:08 540820     /usr/lib/libSM.so.6.0.0
b7dcd000-b7dce000 rw-p 00007000 fe:08 540820     /usr/lib/libSM.so.6.0.0
b7dce000-b7dcf000 rw-p b7dce000 00:00 0
b7dcf000-b7e1a000 r-xp 00000000 fe:08 543840     /usr/lib/libXt.so.6.0.0
b7e1a000-b7e1d000 rw-p 0004b000 fe:08 543840     /usr/lib/libXt.so.6.0.0
b7e1d000-b7e1e000 rw-p b7e1d000 00:00 0
b7e1e000-b7e2b000 r-xp 00000000 fe:08 1147692    /usr/lib/libXext.so.6.4.0
b7e2b000-b7e2c000 rw-p 0000c000 fe:08 1147692    /usr/lib/libXAborted
$ echo $? 
134

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (90, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.19.1-smp (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=french (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                         2.5-4      GNU C Library: Shared libraries
ii  libfontconfig1                2.4.2-1.2  generic font configuration library
ii  libice6                       1:1.0.3-2  X11 Inter-Client Exchange library
ii  libncurses5                   5.5-5      Shared libraries for terminal hand
ii  libsm6                        1:1.0.2-2  X11 Session Management library
ii  libx11-6                      2:1.0.3-7  X11 client-side library
ii  libxaw7                       1:1.0.2-4  X11 Athena Widget library
ii  libxext6                      1:1.0.1-2  X11 miscellaneous extension librar
ii  libxft2                       2.1.12-2   FreeType-based font drawing librar
ii  libxmu6                       1:1.0.2-2  X11 miscellaneous utility library
ii  libxt6                        1:1.0.5-2  X11 toolkit intrinsics library
ii  xbitmaps                      1.0.1-2    Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- no debconf information



Message sent on to Yann Dirson <ydirson@altern.org>:
Bug#421523. Full text and rfc822 format available.

Message #8 received at 421523-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 421523-submitter@bugs.debian.org
Subject: Re: Bug#421523: uxterm: segfault when trying to use "Font|selection" menu entry
Date: Sun, 29 Apr 2007 20:07:44 -0400
[Message part 1 (text/plain, inline)]
On Sun, Apr 29, 2007 at 11:00:14PM +0200, Yann Dirson wrote:
> Package: xterm
> Version: 225-1
> Severity: normal
> 
> While playing around trying to understand how uxterm works, I
> discovered the "selection" item in the "font" menu, and played with it
> before realizing it was a generic xterm feature documented in the man
> manpage.
> 
> When selecting random latin characters (eg. from the prompt, either in
> plain xterm or uxterm), sometimes I get the selection apparently
> turned to "black on black" (I am using "white on black" for nomal
> text), but sometimes it just segfaults, gdb reporting:

thanks (I can reproduce a case for this one).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yann Dirson <ydirson@altern.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #13 received at 421523-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 421523-close@bugs.debian.org
Subject: Bug#421523: fixed in xterm 226-1
Date: Mon, 18 Jun 2007 13:47:09 +0000
Source: xterm
Source-Version: 226-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_226-1.diff.gz
  to pool/main/x/xterm/xterm_226-1.diff.gz
xterm_226-1.dsc
  to pool/main/x/xterm/xterm_226-1.dsc
xterm_226-1_i386.deb
  to pool/main/x/xterm/xterm_226-1_i386.deb
xterm_226.orig.tar.gz
  to pool/main/x/xterm/xterm_226.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 421523@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 18 Jun 2007 14:02:22 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 226-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 12261 349142 418324 420974 421523 422521 426364 426863
Changes: 
 xterm (226-1) unstable; urgency=low
 .
   [ Branden Robinson ]
   * Remove debian/NEWS; the events it attested to (like the "upcoming 7.0
     modularization" are no longer news, and are in the past.
 .
   [ Julien Cristau ]
   * Configure with --with-tty-group=tty, to prevent security problems in case
     of buggy build environment (closes: #349142).
   * New upstream release.
     + fix  an  infinite  loop  when  showing  a  2-column character in a
       1-column screen (closes: #426863).
     + add  XF86Paste  and  SunPaste  to the default translations
       (closes: #422521, patch by Bernhard R Link).
     + improve  permissions  logic  when  closing pseudo-terminal
       (closes: #12261, patch by Nathanael Nerode, analysis by Richard
       Braakman).
     + add  a check in case someone tries to call the popup-menu() action
       on a menu which is not initialized (closes: #426364).
     + fix error-checking on internal font switching for "Selection" menu
       entry (closes: #421523).
     + amend select/paste change from patch #225 by limiting it to
       non-UTF-8/non-KOI8-R encoding (closes: #420974).
     + add  workaround  for  groff  ".URL" codes which are not present in
       some commonly-used bitmap fonts (closes: #418324).
   * Update reference to xlibs-data in xterm's description, refer to xbitmaps
     instead.
   * Build-depend on desktop-file-utils to install the new desktop files for
     xterm and uxterm, and change debian/rules and debian/xterm.install to
     install these files and the icons.
Files: 
 104129b8aabcf3498c64be24716de973 825 x11 optional xterm_226-1.dsc
 93d1f43ac3c13af86c598493f14a36f6 835862 x11 optional xterm_226.orig.tar.gz
 57ae2778e0a806deb01a41cc6fee0292 61616 x11 optional xterm_226-1.diff.gz
 94f81ecbb70c7cf120552b2a5a4bdeb2 452080 x11 optional xterm_226-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGdovGmEvTgKxfcAwRAhbbAKCEL0Aq2kLgqYfTaeThWox3p9KYNwCePjvT
hGOcCnN7IKcs8dgUyCxOLVc=
=U44l
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, andika@research.indocisc.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#421523; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Andika Triwidada <andika@research.indocisc.com>:
Extra info received and forwarded to list. Copy sent to andika@research.indocisc.com, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 421523@bugs.debian.org (full text, mbox):

From: Andika Triwidada <andika@research.indocisc.com>
To: Debian Bug Tracking System <421523@bugs.debian.org>
Subject: xterm: Bug still exist in v226-1
Date: Thu, 21 Jun 2007 12:21:15 +0700
Package: xterm
Version: 226-1
Followup-For: Bug #421523



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-acer-1 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                         2.5-11     GNU C Library: Shared libraries
ii  libfontconfig1                2.4.2-1.2  generic font configuration library
ii  libice6                       1:1.0.3-2  X11 Inter-Client Exchange library
ii  libncurses5                   5.6-3      Shared libraries for terminal hand
ii  libsm6                        2:1.0.3-1  X11 Session Management library
ii  libx11-6                      2:1.0.3-7  X11 client-side library
ii  libxaw7                       1:1.0.3-3  X11 Athena Widget library
ii  libxext6                      1:1.0.3-2  X11 miscellaneous extension librar
ii  libxft2                       2.1.12-2   FreeType-based font drawing librar
ii  libxmu6                       1:1.0.3-1  X11 miscellaneous utility library
ii  libxt6                        1:1.0.5-3  X11 toolkit intrinsics library
ii  xbitmaps                      1.0.1-2    Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- no debconf information

step to reproduce:
1. run xterm
2. run xfontsel
3. select font from xfontsel
4. change xterm's font via right click, menu VT font|selection

crash dump:
*** glibc detected *** xterm: munmap_chunk(): invalid pointer:
0x08081d6b ***
======= Backtrace: =========
/lib/i686/cmov/libc.so.6(cfree+0x1bb)[0xb7bc165b]
xterm[0x805480e]
/usr/lib/libXt.so.6[0xb7e18191]
/usr/lib/libXt.so.6[0xb7e184cb]
/usr/lib/libXt.so.6(XtDispatchEventToWidget+0x1e4)[0xb7e040f4]
/usr/lib/libXt.so.6[0xb7e04aaf]
/usr/lib/libXt.so.6(XtDispatchEvent+0xc7)[0xb7e03a67]
xterm[0x806d46d]
xterm[0x805ba66]
xterm[0x805be4a]
xterm[0x8067516]
/lib/i686/cmov/libc.so.6(__libc_start_main+0xdc)[0xb7b6bebc]
xterm[0x804d511]
======= Memory map: ========
08048000-0808f000 r-xp 00000000 08:06 950976     /usr/bin/xterm
0808f000-08094000 rw-p 00046000 08:06 950976     /usr/bin/xterm
08094000-080f8000 rw-p 08094000 00:00 0          [heap]
b79c2000-b7a05000 rw-p b79c2000 00:00 0 
b7a44000-b7a4e000 r-xp 00000000 08:06 48920      /lib/libgcc_s.so.1
b7a4e000-b7a4f000 rw-p 00009000 08:06 48920      /lib/libgcc_s.so.1
b7a6c000-b7a70000 r-xp 00000000 08:06 997929
/usr/lib/libXfixes.so.3.1.0
b7a70000-b7a71000 rw-p 00003000 08:06 997929
/usr/lib/libXfixes.so.3.1.0
b7a71000-b7a79000 r-xp 00000000 08:06 997921
/usr/lib/libXcursor.so.1.0.2
b7a79000-b7a7a000 rw-p 00007000 08:06 997921
/usr/lib/libXcursor.so.1.0.2
b7a7a000-b7a7c000 rw-p b7a7a000 00:00 0 
b7a7c000-b7a8f000 r-xp 00000000 08:06 359932
/lib/i686/cmov/libpthread-2.5.so
b7a8f000-b7a91000 rw-p 00013000 08:06 359932
/lib/i686/cmov/libpthread-2.5.so
b7a91000-b7a93000 rw-p b7a91000 00:00 0 
b7a93000-b7a95000 r-xp 00000000 08:06 359020
/lib/i686/cmov/libdl-2.5.so
b7a95000-b7a97000 rw-p 00001000 08:06 359020
/lib/i686/cmov/libdl-2.5.so
b7a97000-b7a9b000 r-xp 00000000 08:06 997922
/usr/lib/libXdmcp.so.6.0.0
b7a9b000-b7a9c000 rw-p 00003000 08:06 997922
/usr/lib/libXdmcp.so.6.0.0
b7a9c000-b7a9e000 r-xp 00000000 08:06 997904
/usr/lib/libXau.so.6.0.0
b7a9e000-b7a9f000 rw-p 00001000 08:06 997904
/usr/lib/libXau.so.6.0.0
b7a9f000-b7aae000 r-xp 00000000 08:06 997925
/usr/lib/libXpm.so.4.11.0
b7aae000-b7aaf000 rw-p 0000e000 08:06 997925
/usr/lib/libXpm.so.4.11.0
b7aaf000-b7ab0000 rw-p b7aaf000 00:00 0 
b7ab0000-b7ace000 r-xp 00000000 08:06 1000791
/usr/lib/libexpat.so.1.0.0
b7ace000-b7ad0000 rw-p 0001d000 08:06 1000791
/usr/lib/libexpat.so.1.0.0
b7ad0000-b7ad7000 r-xp 00000000 08:06 995880
/usr/lib/libXrender.so.1.3.0
b7ad7000-b7ad8000 rw-p 00006000 08:06 995880
/usr/lib/libXrender.so.1.3.0
b7ad8000-b7aeb000 r-xp 00000000 08:06 994637     /usr/lib/libz.so.1.2.3
b7aeb000-b7aec000 rw-p 00012000 08:06 994637     /usr/lib/libz.so.1.2.3
b7aec000-b7b53000 r-xp 00000000 08:06 995440
/usr/lib/libfreetype.so.6.3.10
b7b53000-b7b56000 rw-p 00067000 08:06 995440
/usr/lib/libfreetype.so.6.3.10
b7b56000-b7c93000 r-xp 00000000 08:06 359017
/lib/i686/cmov/libc-2.5.so
b7c93000-b7c94000 r--p 0013d000 08:06 359017
/lib/i686/cmov/libc-2.5.so
b7c94000-b7c96000 rw-p 0013e000 08:06 359017
/lib/i686/cmov/libc-2.5.so
b7c96000-b7c99000 rw-p b7c96000 00:00 0 
b7c99000-b7cd3000 r-xp 00000000 08:06 51480      /lib/libncurses.so.5.6
b7cd3000-b7cdb000 rw-p 0003a000 08:06 51480      /lib/libncurses.so.5.6
b7cdb000-b7cdd000 rw-p b7cdb000 00:00 0 
b7cdd000-b7dc5000 r-xp 00000000 08:06 996294
/usr/lib/libX11.so.6.2.0
b7dc5000-b7dc9000 rw-p 000e8000 08:06 996294
/usr/lib/libX11.so.6.2.0
b7dc9000-b7dde000 r-xp 00000000 08:06 994520
/usr/lib/libICE.so.6.3.0
b7dde000-b7ddf000 rw-p 00014000 08:06 994520
/usr/lib/libICE.so.6.3.0
b7ddf000-b7de1000 rw-p b7ddf000 00:00 0 
b7de1000-b7de8000 r-xp 00000000 08:06 996134     /usr/lib/libSM.so.6.0.0
b7de8000-b7de9000 rw-p 00006000 08:06 996134     /usr/lib/libSM.so.6.0.0
b7de9000-b7e35000 r-xp 00000000 08:06 994633     /usr/lib/libXt.so.6.0.0
b7e35000-b7e38000 rw-p 0004c000 08:06 994633     /usr/lib/libXt.so.6.0.0
b7e38000-b7e39000 rw-p b7e38000 00:00 0 
b7e39000-b7e46000 r-xp 00000000 08:06 997917
/usr/lib/libXext.so.6.4.0
b7e46000-b7e47000 rw-p 0000c000 08:06 997917
/usr/lib/libXext.so.6.4.0
b7e47000-b7e5b000 r-xp 00000000 08:06 995964
/usr/lib/libXmu.so.6.2.0
b7e5b000-b7e5c000 rw-p 00014000 08:06 995964
/usr/lib/libXmu.so.6.2.0
b7e5c000-b7eaf000 r-xp 00000000 08:06 994453
/usr/lib/libXaw7.so.7.0.0
b7eaf000-b7eb6000 rw-p 00052000 08:06 994453
/usr/lib/libXaw7.so.7.0.0
b7eb6000-b7eb7000 rw-p b7eb6000 00:00 0 
b7eb7000-b7eda000 r-xp 00000000 08:Aborted



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#421523; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 421523@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Andika Triwidada <andika@research.indocisc.com>, 421523@bugs.debian.org
Subject: Re: Bug#421523: xterm: Bug still exist in v226-1
Date: Thu, 21 Jun 2007 20:41:34 -0400
[Message part 1 (text/plain, inline)]
On Thu, Jun 21, 2007 at 08:10:10AM +0200, Andika Triwidada wrote:
> Package: xterm
> Version: 226-1
> Followup-For: Bug #421523

:-(

see

ftp://invisible-island.net/temp/xterm-226a.patch.gz

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jul 2007 07:27:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:42:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.